First time here? Check out the FAQ!
x

Android Studio 2.2.3 Project Running issue.

0 votes
asked by about Android Studio
edited by

I am a beginner using Android Studio 2.2.3 where my compatible phone available is Xiaomi mi-4i. I installed necessary drivers for that and while running my first app, I'm getting an error like this:

The following packages are not available:
Package id platforms;android-21

Kindly help me in solving the issue.

1 Answer

0 votes
answered by (236k points)

You need to install that package, but based on what I've seen it appears that it's labeled as obsolete. Start Android Studio and go to Tools -> Android -> SDK Manager then tick the Show Package Details. Check the Platform 1.1 and install all the available components.

Restart your PC, plug the phone back up and it should work. If it doesn't work, start Android Studio again, repeat the procedure and install other platform tools as well.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...